LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
LinkBack Search this Thread
Old 07-31-2006, 02:53 PM   #1
vinbob
Member
 
Registered: May 2005
Location: Liverpool, UK
Distribution: HP-UX 11i, Solaris, Fedora, Ubuntu, Debian, RHEL, CentOS
Posts: 69

Rep: Reputation: 15
new ATI 8.27.10 installer won't install or build packages on FC5


Grr.. ATI are a pain in the arse... and I've run out of ideas.
Here's what's happening..

As the fglrx installer now supports (well supposed to) Xorg 7 & FC5 I thought I'd give the new drivers a go.

Running the installer all looks good to start with but bringing up the install log shows this;
Code:
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
ATI module generator V 2.0
==========================
initializing...
cleaning...
patching 'highmem.h'...
assuming new VMA API since we do have kernel 2.6.x...
 Assuming default VMAP API
doing Makefile based build for kernel 2.6.x and higher
make -C /lib/modules/2.6.17-1.2157_FC5/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/kernels/2.6.17-1.2157_FC5-i686'
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘firegl_stub_open’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:559: warning: assignment discards qualifiers from pointer target type
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: At top level:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2230: warning: ‘deferred_flush’ defined but not used
  LD [M]  /lib/modules/fglrx/build_mod/2.6.x/fglrx.o
  Building modules, stage 2.
  MODPOST
WARNING: could not find /lib/modules/fglrx/build_mod/2.6.x/.libfglrx_ip.a.GCC4.cmd for /lib/modules/fglrx/build_mod/2.6.x/libfglrx_ip.a.GCC4
  CC      /lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
  LD [M]  /lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
make[1]: Leaving directory `/usr/src/kernels/2.6.17-1.2157_FC5-i686'
build succeeded with return value 0
duplicating results into driver repository...
done.
==============================
- recreating module dependency list
- trying a sample load of the kernel modules
failed.
[Error] Kernel Module : Failed to install compiled kernel module - please consult readme.
So I though I'd be best creating a package instead but... running,
Code:
./ati-driver-installer-8.27.10-x86.run --buildpkg Fedora/FC5
...spits back
Code:
Creating directory fglrx-install
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.27.10......................................................................................................................................................................................................................................................................................................................................................................................
==================================================
 ATI Technologies Linux Driver Installer/Packager
==================================================
Generating package: Fedora/FC5
Package build failed!
Package build utility output:
./packages/Fedora/ati-packager.sh: line 295: rpmbuild: command not found
Removing temporary directory: fglrx-install
So looks like I'll be best sticking with the DRI driver (for some reason they are quicker than the livna ones but these obviously support less OpenGL features)...UNLESS one bright spark can help me out.
Anyone else having this problem?
Anyone solved it?

Last edited by vinbob; 07-31-2006 at 02:55 PM.
 
Old 08-02-2006, 12:06 AM   #2
phoenix49
Member
 
Registered: Jun 2005
Location: Azerbaijan/Baku
Distribution: Fedora Core 6 "Zod"
Posts: 179

Rep: Reputation: 30
Use livna.org drivers, instead of building from installer. Visit rpm.livna.org.

But if you want to build, you should have rpmbuild tool, do as root:
Code:
yum install rpmbuild
 
Old 08-05-2006, 08:36 AM   #3
vinbob
Member
 
Registered: May 2005
Location: Liverpool, UK
Distribution: HP-UX 11i, Solaris, Fedora, Ubuntu, Debian, RHEL, CentOS
Posts: 69

Original Poster
Rep: Reputation: 15
Cheers Phoenix for the slightly obvious solution but I had already tried that, the rpmbuild package couldn't be found.
Eventually found that the package for rpmbuild is rpm-build not rpmbuild.

So I built & installed the rpms created, which wouldn't work at all. Can't remember the errors but the kernel module wouldn't load.
I ripped em back out and vowed not to bother with the proprietory driver again

Went back to the open source DRI driver as ATI's fglrx driver is simply too unreliable and slow (even when the earlier versions did work) on the Radeon Mobility 9000 and now with the latest versions breaking 3D support for the 9x00 GPUs it's pointless to use the proprietory drivers for me.
I've never been able to get suspend/hibernate to work properly with fglrx drivers and Doom3 & Quake4 used to completely lock up my laptop.

Now I can suspend no problem, I can use AIGLX, 2D & 3D is faster, the only downside is that the lighting & textures in Doom3 & Quake4 (i.e. any game using the the Doom3 engine) are broken (but at least they don't crash my system), other 3D games/apps are fine though such as Google Earth, Enemy Territory, Nexuiz, Tremulous, Quake 3 Arena etc... and video is smoother.

Last edited by vinbob; 08-05-2006 at 08:40 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Problems with Build Install in FC5 linuxnewbie82 Fedora 4 08-08-2006 04:58 AM
AUTOPACKAGE :Build packages that will install on many different distros ubuntu2 Linux - Software 1 08-05-2005 06:12 AM
ATI driver update for SUSE LINUX 9.2..NVIDIA Installer HOWTO... RPM packages of X.Org coolbreeze7000 Suse/Novell 17 02-08-2005 04:50 PM
How can I install packages after Linux build? ajcrm125 Linux - Software 1 04-01-2004 10:29 AM
Can't install addt'l packages with Redhat installer chagrin Linux - Software 6 03-01-2004 08:57 AM


All times are GMT -5. The time now is 07:53 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration